<?php

/*
 * INFO API for PHP - inc_common.php
 * 
 * Biblioteka pomocnih funkcija
 * 
 */

define ("CLIENT_VERSION", "1.21");

/*
 * function getGetValue ($pItemName, $pDefaultValue = '', $pType = '') 
 * 
 * Vraca vrednost GET parametra $pItemName. Ako nema parametra onda vraca $pDefaultValue.
 * Ako je naveden $pType onda se forsira da rezultat bude tipa navedenog u $pType (vidi gettype())  
 * 
 */
 function getGetValue ($pItemName, $pDefaultValue = '', $pVarType = '') {
     return getParamValue ('GET', $pItemName, $pDefaultValue, $pVarType);
 }
 
 
/*
 * function getPostValue ($pItemName, $pDefaultValue = '', $pType = '') 
 * 
 * Vraca vrednost POST parametra $pItemName. Ako nema parametra onda vraca $pDefaultValue.
 * Ako je naveden $pType onda se forsira da rezultat bude tipa navedenog u $pType (vidi gettype())  
 * 
 */
 function getPostValue ($pItemName, $pDefaultValue = '', $pVarType = '') {
     return getParamValue ('POST', $pItemName, $pDefaultValue, $pVarType);
 }


/*
 * function getCookieValue ($pItemName, $pDefaultValue = '', $pType = '') 
 * 
 * Vraca vrednost COOKIE parametra $pItemName. Ako nema parametra onda vraca $pDefaultValue.
 * Ako je naveden $pType onda se forsira da rezultat bude tipa navedenog u $pType (vidi gettype())  
 * 
 */
 function getCookieValue ($pItemName, $pDefaultValue = '', $pVarType = '') {
     return getParamValue ('COOKIE', $pItemName, $pDefaultValue, $pVarType);
 }


/*
 * function getParamValue ($pParamType, $pItemName, $pDefaultValue = '', $pType = '') 
 * 
 * Vraca vrednost $pParamType parametra $pItemName.
 * $pParamType moze biti POST, GET ili COOKIE. 
 * Ako nema parametra onda vraca $pDefaultValue.
 * Ako je naveden $pType onda se forsira da rezultat bude tipa navedenog u $pType (vidi gettype())  
 * 
 */
function getParamValue ($pParamType, $pItemName, $pDefaultValue = '', $pVarType = '') {
    
  $mParamType = strtoupper($pParamType);

  switch ($mParamType) { 
      case 'POST' :
        if (isset ($_POST[$pItemName])) {
            $m_result = $_POST[$pItemName];
        } else {
            $m_result = $pDefaultValue;
        }
        break;
        
    case 'GET' :
        if (isset ($_GET[$pItemName])) {
            $m_result = $_GET[$pItemName];
        } else {
            $m_result = $pDefaultValue;
        }
        break;        

    case 'COOKIE' :
        if (isset ($_COOKIE[$pItemName])) {
            $m_result = $_COOKIE[$pItemName];
        } else {
            $m_result = $pDefaultValue;
        }
        break;        
    default:
        $m_result = $pDefaultValue;
      
  }
  
  if (! empty ($pVarType)) {
      
      setType ($m_result, $pVarType);
  }

  return $m_result;
}

?>